#pragma once

#include "CoreMinimal.h"
#include "ScreenshotToolTargetRowBase.h"
#include "ScreenshotSceneSetting.h"
#include "ScreenshotToolSceneOverridesData.generated.h"

USTRUCT(BlueprintType)
struct FScreenshotToolSceneOverridesData : public FScreenshotToolTargetRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FScreenshotSceneSetting Settings;

public:
	DEADBYDAYLIGHT_API FScreenshotToolSceneOverridesData();
};

FORCEINLINE uint32 GetTypeHash(const FScreenshotToolSceneOverridesData) { return 0; }
